acpi
3
HAL Library

# acpi

## Synopsis

    gboolean    acpi_synthesize_hotplug_events  (void);
    void        hotplug_event_begin_add_acpi    (const gchar *acpi_path,
                                                 int acpi_type,
                                                 HalDevice *parent,
                                                 void *end_token);
    void        hotplug_event_begin_remove_acpi (const gchar *acpi_path,
                                                 int acpi_type,
                                                 void *end_token);
    gboolean    acpi_rescan_device              (HalDevice *d);
    HotplugEvent* acpi_generate_add_hotplug_event
                                                (HalDevice *d);
    HotplugEvent* acpi_generate_remove_hotplug_event
                                                (HalDevice *d);

## Description

## Details

### acpi_synthesize_hotplug_events ()

    gboolean    acpi_synthesize_hotplug_events  (void);

Returns :

### hotplug_event_begin_add_acpi ()

    void        hotplug_event_begin_add_acpi    (const gchar *acpi_path,
                                                 int acpi_type,
                                                 HalDevice *parent,
                                                 void *end_token);

`acpi_path` :

`acpi_type` :

`parent` :

`end_token` :

### hotplug_event_begin_remove_acpi ()

    void        hotplug_event_begin_remove_acpi (const gchar *acpi_path,
                                                 int acpi_type,
                                                 void *end_token);

`acpi_path` :

`acpi_type` :

`end_token` :

### acpi_rescan_device ()

    gboolean    acpi_rescan_device              (HalDevice *d);

`d` :

Returns :

### acpi_generate_add_hotplug_event ()

    HotplugEvent* acpi_generate_add_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :

### acpi_generate_remove_hotplug_event ()

    HotplugEvent* acpi_generate_remove_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :